#ifndef MONITORTEST_H
#define MONITORTEST_H

#include <QWidget>
#include <QList>

class QLineEdit;
class QPushButton;
class QTextEdit;
class QSslSocket;
class QSslError;

class SslCertificateMonitor;

class MonitorTest : public QWidget
{
Q_OBJECT
public:
    MonitorTest();

public slots:
    void doGet();
    void certificateErrors(const QList<QSslError> &errors);
    void certificateWarning(const QString &host, const QString &message);
    void readResponse();

    void append(const QString &msg);
    void resumeConnection();

private:
    QLineEdit *host;
    QPushButton *getButton;
    QPushButton *continueButton;
    QTextEdit *response;
    SslCertificateMonitor *monitor;
    QSslSocket *sock;
};

#endif // MONITORTEST_H
